<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fjhx.supply.mapper.supplier.SupplierPriceMapper">
    <select id="getPage" resultType="com.fjhx.supply.entity.supplier.vo.SupplierPriceVo">
        select sp.id,
               sp.supplier_info_id,
               sp.product_info_id,
               sp.price,
               si.name       supplierName,
               si.type       supplierType
        from supplier_price sp
                 inner join supplier_info si on sp.supplier_info_id = si.id
            ${ew.customSqlSegment}
    </select>

</mapper>
